aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Jansa <martin.jansa@gmail.com>2014-08-09 18:07:56 +0200
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-08-11 11:14:08 +0100
commitb73e6159aed1a9768d02d12e7894ca0f1e72be69 (patch)
tree63218f52b988a9199db1a61076579c1fc0b7ee6f
parentc8268bbafc338cf73c5488df9839a241a3cb6ab4 (diff)
downloadopenembedded-core-contrib-b73e6159aed1a9768d02d12e7894ca0f1e72be69.tar.gz
test-dependencies, insane.bbclass: improve the message
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-rw-r--r--meta/classes/insane.bbclass2
-rwxr-xr-xscripts/test-dependencies.sh8
2 files changed, 6 insertions, 4 deletions
diff --git a/meta/classes/insane.bbclass b/meta/classes/insane.bbclass
index 55bfaf2d60..3dd2e7fb6a 100644
--- a/meta/classes/insane.bbclass
+++ b/meta/classes/insane.bbclass
@@ -794,7 +794,7 @@ def package_qa_check_rdepends(pkg, pkgdest, skip, taskdeps, packages, d):
break
if rdep_data and 'PN' in rdep_data and rdep_data['PN'] in taskdeps:
continue
- error_msg = "%s rdepends on %s but its not a build dependency?" % (pkg, rdepend)
+ error_msg = "%s rdepends on %s, but it isn't a build dependency?" % (pkg, rdepend)
sane = package_qa_handle_error("build-deps", error_msg, d)
return sane
diff --git a/scripts/test-dependencies.sh b/scripts/test-dependencies.sh
index ecbb710c6b..2bcc2ca4f6 100755
--- a/scripts/test-dependencies.sh
+++ b/scripts/test-dependencies.sh
@@ -244,9 +244,11 @@ compare_deps() {
else
missing_deps=
for dep in ${max_deps}; do
- echo "${min_deps}" | grep -q " ${dep} " || missing_deps="${missing_deps} ${dep}"
- echo # to get rid of dots on last line
- echo "WARN: ${recipe}: ${package} rdepends on ${dep} but its not a build dependency?" | tee -a ${OUTPUT_FILE}
+ if ! echo "${min_deps}" | grep -q " ${dep} " ; then
+ missing_deps="${missing_deps} ${dep}"
+ echo # to get rid of dots on last line
+ echo "WARN: ${recipe}: ${package} rdepends on ${dep}, but it isn't a build dependency?" | tee -a ${OUTPUT_FILE}
+ fi
done
if [ -n "${missing_deps}" ] ; then
echo ${recipe} >> ${OUTPUTC}/failed-recipes.log